summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2017-02-04 21:49:39 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-11 07:24:18 +0700
commitb041534ba49cb7cf1a91779d50736995e62d1251 (patch)
tree691a337e209dc6b7cdda4d9ad23f0bfb978648a3 /games
parent154430d3d79d91b2b0b9d0cec346e24f4b902909 (diff)
downloadslackbuilds-b041534ba49cb7cf1a91779d50736995e62d1251.tar.gz
slackbuilds-b041534ba49cb7cf1a91779d50736995e62d1251.tar.xz
games/bsnes-libretro: Updated for version 2017.02.04_026fc306.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/bsnes-libretro/README3
-rw-r--r--games/bsnes-libretro/bsnes-libretro.SlackBuild12
-rw-r--r--games/bsnes-libretro/bsnes-libretro.info6
3 files changed, 14 insertions, 7 deletions
diff --git a/games/bsnes-libretro/README b/games/bsnes-libretro/README
index 863d776cb3..26e7dd93f2 100644
--- a/games/bsnes-libretro/README
+++ b/games/bsnes-libretro/README
@@ -57,3 +57,6 @@ To build the balanced or performance cores, choose any desired cores:
Or to build all three cores, "all" can be used:
CORE="all" ./bsnes-libretro.SlackBuild
+
+To build the debugging symbols use:
+ DEBUG=1 ./bsnes-libretro.SlackBuild
diff --git a/games/bsnes-libretro/bsnes-libretro.SlackBuild b/games/bsnes-libretro/bsnes-libretro.SlackBuild
index 521152f015..fd736c98cc 100644
--- a/games/bsnes-libretro/bsnes-libretro.SlackBuild
+++ b/games/bsnes-libretro/bsnes-libretro.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=bsnes-libretro
LIBNAM=$(echo $PRGNAM | cut -f1 -d"-")
-VERSION=${VERSION:-2016.07.17_8a5ce25}
+VERSION=${VERSION:-2017.02.04_026fc306}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,6 +57,8 @@ else
LIBDIRSUFFIX=""
fi
+DEBUG=${DEBUG:-0}
+
set -e
rm -rf $PKG
@@ -83,14 +85,16 @@ fi
for PROFILE in $CORE; do
CORENAM=${LIBNAM}_${PROFILE}_libretro
- make profile=$PROFILE
+ make profile=$PROFILE DEBUG=$DEBUG GIT_VERSION=${VERSION#*_}
install -Dm0644 out/$CORENAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$CORENAM.so
install -Dm0644 $CORENAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$CORENAM.info
make clean
done
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+if [ "$DEBUG" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/games/bsnes-libretro/bsnes-libretro.info b/games/bsnes-libretro/bsnes-libretro.info
index 36b750d79f..3d17771436 100644
--- a/games/bsnes-libretro/bsnes-libretro.info
+++ b/games/bsnes-libretro/bsnes-libretro.info
@@ -1,8 +1,8 @@
PRGNAM="bsnes-libretro"
-VERSION="2016.07.17_8a5ce25"
+VERSION="2017.02.04_026fc306"
HOMEPAGE="http://www.libretro.com/"
-DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bsnes-libretro-2016.07.17_8a5ce25.tar.xz"
-MD5SUM="4a5cdc0e3a1e858ddc7c1c790de8ad02"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bsnes-libretro-2017.02.04_026fc306.tar.xz"
+MD5SUM="080da20ed8e16d26adc1702903be550f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="RetroArch"